# Uses of Enum Class
org.eclipse.emf.cdo.transfer.CDOTransfer.ChildrenChangedEvent.Kind

Packages that use CDOTransfer.ChildrenChangedEvent.Kind
Package
Description
org.eclipse.emf.cdo.transfer
Client concepts for dealing with transfers of `resources` between `systems`.

## Uses of CDOTransfer.ChildrenChangedEvent.Kind in org.eclipse.emf.cdo.transfer

Methods in org.eclipse.emf.cdo.transfer that return CDOTransfer.ChildrenChangedEvent.Kind
Modifier and Type
Method
Description
`CDOTransfer.ChildrenChangedEvent.Kind`
CDOTransfer.ChildrenChangedEvent.`getKind()`
`static CDOTransfer.ChildrenChangedEvent.Kind`
CDOTransfer.ChildrenChangedEvent.Kind.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CDOTransfer.ChildrenChangedEvent.Kind[]`
CDOTransfer.ChildrenChangedEvent.Kind.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.eclipse.emf.cdo.transfer with parameters of type CDOTransfer.ChildrenChangedEvent.Kind
Modifier and Type
Method
Description
`protected void`
CDOTransfer.`childrenChanged(CDOTransferMapping mapping, CDOTransferMapping child, CDOTransfer.ChildrenChangedEvent.Kind kind)`